package com.example.billactivity;

import java.util.ArrayList;
import java.util.Calendar;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ArrayAdapter;
import android.widget.DatePicker;
import android.widget.ListView;
import android.widget.TextView;

public class DayActivity extends Activity {
	private TextView mDateDisplay;
	private TextView mPickDate;
	private TextView tv_sum;
	private int mYear;
	private int mMonth;
	private int mDay;
	private ListView lv_ListView;
	private ArrayAdapter<String> arraytwoAdapter;
	static final int DATE_DIALOG_ID = 0;
	private ArrayList<NameBean> array;
	NameAdpter adapter;
	int index = 0;

	DataHelper helper;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.day_manage);

		helper = new DataHelper(this);

		tv_sum = (TextView) findViewById(R.id.tv_sum);

		lv_ListView = (ListView) findViewById(R.id.lv_ListView);
		adapter = new NameAdpter(this);
		lv_ListView.setAdapter(adapter);

		lv_ListView.setOnItemLongClickListener(new OnItemLongClickListener() {
			@Override
			public boolean onItemLongClick(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
				DeleteDialog(arg2);
				return false;
			}
		});

		lv_ListView.getCount();

		mDateDisplay = (TextView) findViewById(R.id.dateDisplay);
		mPickDate = (TextView) findViewById(R.id.pickDate);
		mPickDate.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				showDialog(DATE_DIALOG_ID);
			}
		});
		final Calendar c = Calendar.getInstance();
		mYear = c.get(Calendar.YEAR);
		mMonth = c.get(Calendar.MONTH);
		mDay = c.get(Calendar.DAY_OF_MONTH);

		updateDisplay();

	}

	@Override
	protected void onStart() {
		
		updateDisplay();
		super.onStart();
	}

	private void DeleteDialog(final int i) {
		AlertDialog.Builder builder = new Builder(DayActivity.this);

		builder.setMessage("ȷɾļ");
		builder.setTitle("ʾ");

		builder.setPositiveButton("ȷ", new DialogInterface.OnClickListener() {

			@Override
			public void onClick(DialogInterface dialog, int which) {
				helper.DelUserInfo(array.get(i).getAccountid());
				array.remove(i);
				adapter.notifyDataSetChanged();
			}
		});

		builder.setNegativeButton("ȡ", new DialogInterface.OnClickListener() {

			@Override
			public void onClick(DialogInterface dialog, int which) {

			}
		});
		builder.create().show();
	}

	private void updateDisplay() {
		int month = mMonth + 1;
		String months = String.valueOf(month);
		if (month < 10) {
			months = "0" + months;
		}
		mDateDisplay.setText(new StringBuilder().append(mYear).append("-")
				.append(months).append("-").append(mDay));
		String bull = new StringBuilder().append(mYear).append("-")
				.append(months).append("-").append(mDay).toString();
		array = (ArrayList<NameBean>) helper.GetUserDayList(bull);
		if (array != null) {
			adapter.setData(array);
		}
		tv_sum.setText("(" + array.size() + "" + ")");
	}

	private DatePickerDialog.OnDateSetListener mDateSetListener = new DatePickerDialog.OnDateSetListener() {
		public void onDateSet(DatePicker view, int year, int monthOfYear,
				int dayOfMonth) {
			mYear = year;
			mMonth = monthOfYear;
			mDay = dayOfMonth;
			updateDisplay();
		}
	};

	protected Dialog onCreateDialog(int id) {
		switch (id) {
		case DATE_DIALOG_ID:
			return new DatePickerDialog(this, mDateSetListener, mYear, mMonth,
					mDay);
		}
		return null;
	}

	public void add(View v) {
		Intent intent = new Intent(DayActivity.this, AddActivity.class);
		startActivity(intent);
	}

}
